Listing Withdrawals
The GET /withdrawals/ method enables you to retrieve detailed information about your withdrawals. You can retrieve a list of the withdrawals made in your account or specific transactions. To identify the transactions you want to recover, you can use Bitso-provided or user-provided identifiers.
HTTP Request
-
GET https://api-stage.bitso.com/v3/withdrawals?wids={wid},{wid},{wid}
-
GET https://api-stage.bitso.com/v3/withdrawals?origin_ids={origin_id},{origin_id},{origin_id}
Header Parameters
You must specify the following authorization parameters in your request:
| Parameter | Description | Required |
|---|---|---|
key | See the section, Authentication | Yes |
signature | See the section, Authentication | Yes |
nonce | See the section, Authentication | Yes |
Path Parameters
When you need only an individual withdrawal, use the following path parameter. However, if you want to retrieve more than one specific withdrawal, use a query parameter.
| Parameter | Description | Required |
|---|---|---|
wid | Specifies the unique identifier of the withdrawal to retrieve. | No |
Query Parameters
You can use the following query parameters in your request:
| Parameter | Description | Required | Default Value |
|---|---|---|---|
currency | The transaction's currency. Valid values: tickers of supported currencies such as mxn, cop, btc, xrp, and usdc. | No | |
limit | Specifies the number of objects to return. Maximum is 100. | No | 25 |
marker | Specifies to return the objects that are older than the object with the given withdrawal ID (marker=wid). Useful for pagination. | No | |
method | Restricts the list of withdrawals to those of the specified method. Valid values: method codes such as bind, praxis, btc, eth_erc20, and usdc_trf. | No | |
origin_ids | Specifies by origin ID (client-supplied ID) the withdrawals to retrieve. You can use several identifiers in your request. Separate each with a comma. | No | |
status | Restricts the list of withdrawals to those of the specified status. Valid values: pending, processing, complete, and failed. | No | |
wids | Specifies the unique identifiers of the withdrawals to retrieve. You can use several identifiers in your request. Separate each with a comma. | No |
The identifier parameters take precedence over the filtering parameters. When you send wids or origin_ids together with currency, limit, marker, method, or status, the endpoint applies only the identifier filter and ignores the others. If you send both identifier parameters, wids takes precedence over origin_ids.
JSON Response Payload
The endpoint returns a JSON array of withdrawals. Every element in the array is a JSON object that represents a withdrawal and includes the following fields:
| Field Name | Description | Type | Units |
|---|---|---|---|
amount | The total amount deducted from your balance. It includes the amount_to_send and the fee. | String | Currency |
asset | The digital asset in the network used. | String | Currency |
created_at | The date and time when the service created the withdrawal. | String | ISO 8601 timestamp |
currency | The currency of the amount sent. | String | |
details | The specific withdrawal details. The information contained in this object varies greatly depending on the transaction's taxonomy. Please refer to the article on withdrawing a particular currency to learn about these parameters. For example, if you are listing MXN withdrawals, go to the article Withdrawing MXN in the section Completing Fiat Withdrawals. For COP, use the Unified Payments API. | JSON object | |
integration | The merging with the payment gateway used. | String | |
method | The method used with this withdrawal. Possible values: method codes such as bind, praxis, btc, eth_erc20, and usdc_trf. | String | |
method_name | The full name of the method used. | String | |
network | The payment network through which the withdrawal was processed. | String | |
protocol | The specific mechanism, protocol, or standard used in the network. | String | |
status | The status of this withdrawal. Possible values: pending, processing, complete, and failed. | String | |
wid | The unique, Bitso-provided withdrawal ID. | String |
The response object below exemplifies the JSON array obtained from a search filtered by method:
curl https://api-stage.bitso.com/v3/withdrawals?method=eth_erc20
{
"success": true,
"payload": [
{
"wid": "cc3292d11cf587ca0a22aa5c83195867",
"status": "complete",
"created_at": "2024-09-25T14:45:44+00:00",
"currency": "usdt",
"method": "eth_erc20",
"method_name": "Ether ERC20 Token",
"amount": "35.16",
"asset": "usdt",
"network": "eth",
"protocol": "erc20",
"integration": "fblocks-v1",
"details": {
"withdrawal_address": "0x1D8cEe1Db767Bc1561Fc981B6FFdeE0d1C2FAE2F",
"tx_hash": "0x29239ec522cb4cc915089db4b034b1ecac6d244e279c00e7672e636c4fb7cc60",
"tx_url": "https://etherscan.io/tx/0x29239ec522cb4cc915089db4b034b1ecac6d244e279c00e7672e636c4fb7cc60",
"fee": "5.16",
"amount_to_send": "30.00"
}
}
]
}Updated 2 months ago
